import React, { CSSProperties } from 'react';
import { Store } from './store';
import { ComponentProps } from './types';
/**
 * The interface for the Host's props
 * @public
 * */
export interface Props {
    style?: CSSProperties;
    /** An array of React components */
    components: React.ComponentType<ComponentProps>[];
}
/**
 * A component that renders an array of components
 * and provides the global App Bridge store as a prop
 * @public
 * */
export declare function Host(props: Props & {
    store: Store;
}): React.JSX.Element;
declare const _default: import("react-redux").ConnectedComponent<typeof Host, {
    style?: React.CSSProperties | undefined;
    components: React.ComponentType<ComponentProps>[];
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
