'use strict';

var Error = require('@shopify/app-bridge-core/actions/Error');

function appBridgeMiddlewareProptype(object, key, componentName /* , ...rest: any[]*/) {
    var propValue = object[key];
    if (!propValue ||
        !propValue.load ||
        (propValue.load && !(typeof propValue.load === 'function'))) {
        return Error.fromAction("Expected an instance of the App Bridge middleware for `".concat(key, "` in `").concat(componentName, "`"), Error.AppActionType.MISSING_APP_BRIDGE_MIDDLEWARE);
    }
    return null;
}

exports.appBridgeMiddlewareProptype = appBridgeMiddlewareProptype;
