'use strict';

var tslib = require('tslib');
var React = require('react');
var PropTypes = require('./PropTypes.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

var Provider = /** @class */ (function (_super) {
    tslib.__extends(Provider, _super);
    function Provider(props) {
        var _this = _super.call(this, props) || this;
        _this.middleware = props.middleware;
        return _this;
    }
    Provider.prototype.getChildContext = function () {
        return {
            appBridgeMiddleware: this.middleware,
        };
    };
    Provider.prototype.render = function () {
        return React__default.default.Children.only(this.props.children);
    };
    Provider.childContextTypes = {
        appBridgeMiddleware: PropTypes.appBridgeMiddlewareProptype,
    };
    return Provider;
}(React__default.default.Component));

exports.Provider = Provider;
