'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tslib = require('tslib');
var React = require('react');
var polarisInternal = require('@shopify/polaris-internal');
var compose = require('@shopify/react-compose');
var withFeature = require('../withFeature.js');
var store_reducers_embeddedApp_loading_index = require('../store/reducers/embeddedApp/loading/index.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);
var compose__default = /*#__PURE__*/_interopDefault(compose);

/**
 * The UI component for the Loading feature
 * @public
 * */
var Loading = /** @class */ (function (_super) {
    tslib.__extends(Loading, _super);
    function Loading() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Loading.prototype.render = function () {
        var isLoading = this.props.store.isLoading;
        return isLoading ? React__default.default.createElement(polarisInternal.Loading, null) : null;
    };
    return Loading;
}(React__default.default.PureComponent));
/**
 * The Loading feature with its reducer, actions and UI component
 * @public
 * */
var Loading$1 = compose__default.default(withFeature.default(store_reducers_embeddedApp_loading_index.feature))(Loading);

exports.Loading = Loading;
exports.default = Loading$1;
