import React from 'react';
import { WithFeature } from '../store/reducers/embeddedApp/modal';
import { ComponentProps } from '../types';
import { FrameProps } from '../Frame';
interface ExtraProps extends Pick<FrameProps, 'onInit'> {
    [key: string]: any;
}
type ComposedProps = WithFeature & ExtraProps;
/**
 * Renders a Polaris Modal with the Context set to `Modal`
 * When the `location` is defined, renders Frame component as the modal content
 * @public
 * @requires HostContext
 * */
export declare function Modal(props: ComposedProps): React.JSX.Element | null;
/**
 * The Modal feature with its reducer, actions and UI component
 * @public
 * */
declare const _default: import("@shopify/react-compose").ReactComponent<ComponentProps & ExtraProps> & import("@shopify/useful-types").NonReactStatics<import("@shopify/react-compose").ReactComponent<ComposedProps> & typeof Modal>;
export default _default;
