/**
 * A collection of methods which can be used to return the local paths
 * for navigating to a section within Admin
 * @internal
 * */
export interface NavigationResolver {
    app(id: string, path: string): string;
    apps(): string;
    home(): string;
    collectionIndex(): string;
    collectionShow(id: string): string;
    collectionNew(): string;
    customerIndex(): string;
    customerShow(id: string): string;
    customerCreate(): string;
    discountIndex(): string;
    discountShow(id: string): string;
    discountNew(): string;
    orderIndex(): string;
    orderShow(id: string): string;
    orderNew(): string;
    productIndex(): string;
    productVariantDetails(id: string, variantId: string): string;
    productVariantNew(id: string): string;
    productDetails(id: string): string;
    productNew(): string;
}
interface QueryParams {
    [key: string]: any;
}
export declare const ROOT_URL = "/admin";
export declare const APPS_URL = "/admin/apps";
export declare const resolver: NavigationResolver;
export declare function withQueryParams(url: string, params?: QueryParams): string;
export default resolver;
