import { PrivilegedAppConfig } from '../../types';
type AppUrl = Pick<PrivilegedAppConfig, 'handle' | 'url' | 'apiKey'> & {
    pathname: string;
    search?: string;
};
/**
 * Build an app URL from an initial URL and a path
 * @internal
 * As a precautionary measure the `path` will be stripped off a host if one is
 * given.
 */
export declare function buildAppUrl({ handle, url: initialUrl, apiKey, pathname, search, }: AppUrl): URL;
/**
 * Convert: 'some/path' to '/some/path'
 */
export declare function normalizeRelativePath(path: string): string;
export declare function removeRestrictedParams(path: string): string;
export {};
