import { fromAction, AppActionType } from '@shopify/app-bridge-core/actions/Error';

function isValidConfig(appConfig, config) {
    if (!appConfig) {
        return false;
    }
    var apiKey = appConfig.apiKey;
    if (!apiKey || apiKey !== config.apiKey) {
        return false;
    }
    return true;
}
function InvalidConfigError(appConfig, config, action) {
    return fromAction("Provided apiKey `".concat(appConfig.apiKey, "` is incorrect. Expecting `").concat(config.apiKey, "`"), AppActionType.INVALID_CONFIG, action);
}
function throwInvalidConfigError(appConfig, config, action) {
    throw InvalidConfigError(appConfig, config, action);
}

export { InvalidConfigError, isValidConfig, throwInvalidConfigError };
