import { Performance } from '@shopify/app-bridge-core/actions';
import withStatelessFeature from '../components/utilities/withStatelessFeature.js';

/**
 * An object containing the key, actions, initial state and reducer of the Performance feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
var performance = withStatelessFeature('performance', {
    skeletonPageLoad: Performance.skeletonPageLoad,
    fullPageLoad: Performance.fullPageLoad,
});

export { performance as default };
