import { useContext } from 'react';
import { fromAction, AppActionType } from '@shopify/app-bridge-core/actions/Error';
import { HostContext } from '../HostProvider.js';

function useHostContext() {
    var context = useContext(HostContext);
    if (!context) {
        throw fromAction('Missing required Host Context. Your component must be wrapped in a <HostProvider> component', AppActionType.MISSING_HOST_PROVIDER);
    }
    return context;
}

export { useHostContext };
