import { useContext } from 'react';
import { fromAction, AppActionType } from '@shopify/app-bridge-core/actions/Error';
import { RouterContext } from '../HostProvider.js';

function useRouterContext() {
    var context = useContext(RouterContext);
    if (!context) {
        throw fromAction('Missing required Host Context. Your component must be wrapped in a <HostProvider> component with the `router` prop provided', AppActionType.MISSING_ROUTER_CONTEXT);
    }
    return context;
}

export { useRouterContext };
