import { Cart } from '@shopify/app-bridge-core/actions';

var cartActionCreatorsMap = {
    fetch: Cart.fetch,
    update: Cart.update,
    setCustomer: Cart.setCustomer,
    addCustomerAddress: Cart.addCustomerAddress,
    updateCustomerAddress: Cart.updateCustomerAddress,
    setDiscount: Cart.setDiscount,
    setProperties: Cart.setProperties,
    removeProperties: Cart.removeProperties,
    addLineItem: Cart.addLineItem,
    updateLineItem: Cart.updateLineItem,
    removeLineItem: Cart.removeLineItem,
    setLineItemDiscount: Cart.setLineItemDiscount,
    removeLineItemDiscount: Cart.removeLineItemDiscount,
    setLineItemProperties: Cart.setLineItemProperties,
};
/**
 * An object containing the key, actions, initial state and reducer of the Loading feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
var feature = {
    actions: cartActionCreatorsMap,
    key: 'cart',
    initialState: {},
    reducer: function (state) { return state || {}; },
};

export { feature };
