import { featuresActionCreatorsMap } from './actionCreators.js';
import featuresReducer, { defaultFeaturesStore, asyncFeaturesReducer } from './reducer.js';
export { setFeaturesAvailable } from './reducer.js';

/**
 * An object containing the key, actions, initial state and reducer of the Features feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
var feature = {
    actions: featuresActionCreatorsMap,
    key: 'features',
    initialState: defaultFeaturesStore,
    reducer: asyncFeaturesReducer,
};

export { asyncFeaturesReducer, featuresReducer as default, defaultFeaturesStore, feature, featuresActionCreatorsMap };
