import { resetStateReducer } from '../utilities.js';
import { loadingActionCreatorsMap } from './actionCreators.js';
export { reset, start, stop } from './actionCreators.js';
import loadingReducer, { defaultLoadingStore } from './reducer.js';

/**
 * An object containing the key, actions, initial state and reducer of the Loading feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
var feature = {
    actions: loadingActionCreatorsMap,
    key: 'loading',
    initialState: defaultLoadingStore,
    reducer: resetStateReducer(loadingReducer),
};

export { loadingReducer as default, defaultLoadingStore, feature, loadingActionCreatorsMap };
