import { resetStateReducer } from '../utilities.js';
import { modalActionCreatorsMap } from './actionCreators.js';
export { setHeight } from './actionCreators.js';
import modalReducer, { defaultModalStore } from './reducer.js';

/**
 * An object containing the key, actions, initial state and reducer of the Modal feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
var feature = {
    actions: modalActionCreatorsMap,
    key: 'modal',
    initialState: defaultModalStore,
    reducer: resetStateReducer(modalReducer),
};

export { modalReducer as default, defaultModalStore, feature, modalActionCreatorsMap };
