import posReducer, { defaultPOSStore } from './reducer.js';
import * as actions from './actions.js';

/**
 * An object containing the key, actions, initial state and reducer of the POS feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
var feature = {
    actions: actions,
    key: 'pos',
    initialState: defaultPOSStore,
    reducer: posReducer,
};

export { posReducer as default, defaultPOSStore, feature };
