import { resetStateReducer } from '../utilities.js';
import { resourcePickerActionCreatorsMap } from './actionCreators.js';
import resourcePickerReducer, { defaultResourcePickerStore } from './reducer.js';

/**
 * An object containing the key, actions, initial state and reducer of the ResourcePicker feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
var feature = {
    actions: resourcePickerActionCreatorsMap,
    key: 'resourcePicker',
    initialState: defaultResourcePickerStore,
    reducer: resetStateReducer(resourcePickerReducer),
};

export { resourcePickerReducer as default, defaultResourcePickerStore, feature, resourcePickerActionCreatorsMap };
