import { Scanner } from '@shopify/app-bridge-core/actions';

var scannerActionCreatorsMap = {
    openCamera: Scanner.openCamera,
    capture: Scanner.capture,
};
/**
 * An object containing the key, actions, initial state and reducer of the Scanner feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
var feature = {
    actions: scannerActionCreatorsMap,
    key: 'scanner',
    initialState: {},
    reducer: function (state) { return state || {}; },
};

export { feature };
