import { Share } from '@shopify/app-bridge-core/actions';

var shareActionCreatorsMap = {
    show: Share.show,
    close: Share.close,
};
/**
 * An object containing the key, actions, initial state and reducer of the Loading feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
var feature = {
    actions: shareActionCreatorsMap,
    key: 'share',
    initialState: {},
    reducer: function (state) { return state || {}; },
};

export { feature };
