import { staffMemberActionCreatorsMap } from './actionCreators.js';
export { set } from './actionCreators.js';
import staffMemberReducer, { defaultStaffMemberStore } from './reducer.js';
export { SET, isSetAction } from './actions.js';

/**
 * An object containing the key, actions, initial state and reducer of the StaffMember feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
var feature = {
    actions: staffMemberActionCreatorsMap,
    key: 'staffMember',
    initialState: defaultStaffMemberStore,
    reducer: staffMemberReducer,
};

export { staffMemberReducer as default, defaultStaffMemberStore, feature, staffMemberActionCreatorsMap };
