import { bindActionCreators } from 'redux';
import appBridgeReducer from './embeddedApp/appBridge/reducer.js';
export { StoreReadyAction } from './embeddedApp/appBridge/actions.js';
import { appBridgeActionCreatorsMap } from './embeddedApp/appBridge/actionCreators.js';
import { featuresActionCreatorsMap } from './embeddedApp/features/actionCreators.js';
import './embeddedApp/features/reducer.js';
import '@shopify/app-bridge-core/actions';
import { loadingActionCreatorsMap } from './embeddedApp/loading/actionCreators.js';
import { modalActionCreatorsMap } from './embeddedApp/modal/actionCreators.js';
import 'tslib';
import '@shopify/app-bridge-core/validate/actions/modal';
import '@shopify/app-bridge-core/validate/type-validate';
import '@shopify/app-bridge-core/actions/Navigation/Redirect';
import { navigationActionCreatorsMap } from './embeddedApp/navigation/actionCreators.js';
import '@shopify/app-bridge-core/validate/actions/navigation';
import { menuActionCreatorsMap } from './embeddedApp/menu/index.js';
import { resourcePickerActionCreatorsMap } from './embeddedApp/resourcePicker/actionCreators.js';
import '@shopify/app-bridge-core/validate/actions/resourcePicker';
import { staffMemberActionCreatorsMap } from './embeddedApp/staffMember/actionCreators.js';
import '@shopify/app-bridge-core/actions/TitleBar';
import '@shopify/app-bridge-core/actions/ButtonGroup';
import '@shopify/app-bridge-core/actions/helper';
import '@shopify/app-bridge-core/actions/uuid';
import { titleBarActionCreatorsMap } from './embeddedApp/titleBar/actionCreators.js';
import '@shopify/app-bridge-core/validate/actions/titleBar';
import '@remote-ui/core';
import '@shopify/app-bridge-core/actions/Toast';
import { toastActionCreatorsMap } from './embeddedApp/toast/actionCreators.js';
import '@shopify/app-bridge-core/validate/actions/toast';
import { contextualSaveBarActionCreatorsMap } from './embeddedApp/contextualSaveBar/index.js';
import '@shopify/app-bridge-core/actions/Picker';
import { pickerActionCreatorsMap } from './embeddedApp/picker/actionCreators.js';
import '@shopify/app-bridge-core/validate/actions/picker';

function mapAppStoreToProps(state) {
    return state;
}
function mapAppDispatchToProps(app) {
    var appDispatch = app.dispatch;
    return {
        actions: {
            features: bindActionCreators(featuresActionCreatorsMap, appDispatch),
            loading: bindActionCreators(loadingActionCreatorsMap, appDispatch),
            modal: bindActionCreators(modalActionCreatorsMap, appDispatch),
            navigation: bindActionCreators(navigationActionCreatorsMap, appDispatch),
            menu: bindActionCreators(menuActionCreatorsMap, appDispatch),
            titleBar: bindActionCreators(titleBarActionCreatorsMap, appDispatch),
            toast: bindActionCreators(toastActionCreatorsMap, appDispatch),
            resourcePicker: bindActionCreators(resourcePickerActionCreatorsMap, appDispatch),
            staffMember: bindActionCreators(staffMemberActionCreatorsMap, appDispatch),
            appBridge: bindActionCreators(appBridgeActionCreatorsMap, appDispatch),
            contextualSaveBar: bindActionCreators(contextualSaveBarActionCreatorsMap, appDispatch),
            unstablePicker: bindActionCreators(pickerActionCreatorsMap, appDispatch),
        },
    };
}

export { appBridgeReducer as default, mapAppDispatchToProps, mapAppStoreToProps };
