import { LeaveConfirmation } from '@shopify/app-bridge-core/actions';
import { validateAction } from '@shopify/app-bridge-core/validate/actions/leaveConfirmation';

var defaultStore = null;
function reducer(state, action) {
    if (state === void 0) { state = defaultStore; }
    var castedAction = action;
    if (validateAction(castedAction)) {
        return state;
    }
    switch (action.type) {
        case LeaveConfirmation.Action.ENABLE: {
            var id = action.payload.id;
            return { id: id };
        }
        case LeaveConfirmation.Action.DISABLE:
            return null;
        default:
            return state;
    }
}
var feature = {
    actions: {
        enable: LeaveConfirmation.enable,
        disable: LeaveConfirmation.disable,
        confirm: LeaveConfirmation.confirm,
    },
    key: 'leaveConfirmation',
    initialState: defaultStore,
    reducer: reducer,
};

export { feature, reducer };
