import { Performance as PerformanceActions } from '@shopify/app-bridge-core/actions';
/**
 * The interface props that are passed down to the Performance component
 * as a the result of calling the `withFeature` decorator
 * @public
 * */
export interface PerformanceDetails {
    isFullPageNavigation: boolean;
    timeOrigin: number;
}
export interface WithFeature {
    actions: {
        skeletonPageLoad: typeof PerformanceActions.skeletonPageLoad;
        fullPageLoad: typeof PerformanceActions.fullPageLoad;
    };
}
/**
 * An object containing the key, actions, initial state and reducer of the Performance feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
declare const _default: <OwnProps>(WrappedComponent: import("react").ComponentType<OwnProps>) => import("react").ComponentType<OwnProps & import("..").ComponentProps & import("../withFeature").FeatureProps<{
    skeletonPageLoad: typeof PerformanceActions.skeletonPageLoad;
    fullPageLoad: typeof PerformanceActions.fullPageLoad;
}, {}>>;
export default _default;
