'use strict';

var React = require('react');
var Error = require('@shopify/app-bridge-core/actions/Error');
var HostProvider = require('../HostProvider.js');

function useHostContext() {
    var context = React.useContext(HostProvider.HostContext);
    if (!context) {
        throw Error.fromAction('Missing required Host Context. Your component must be wrapped in a <HostProvider> component', Error.AppActionType.MISSING_HOST_PROVIDER);
    }
    return context;
}

exports.useHostContext = useHostContext;
