'use strict';

var React = require('react');
var Error = require('@shopify/app-bridge-core/actions/Error');
var HostProvider = require('../HostProvider.js');

function useRouterContext() {
    var context = React.useContext(HostProvider.RouterContext);
    if (!context) {
        throw Error.fromAction('Missing required Host Context. Your component must be wrapped in a <HostProvider> component with the `router` prop provided', Error.AppActionType.MISSING_ROUTER_CONTEXT);
    }
    return context;
}

exports.useRouterContext = useRouterContext;
