import { Cart } from '@shopify/app-bridge-core/actions';
import { Feature } from '../../../../withFeature';
declare const cartActionCreatorsMap: {
    fetch: typeof Cart.fetch;
    update: typeof Cart.update;
    setCustomer: typeof Cart.setCustomer;
    addCustomerAddress: typeof Cart.addCustomerAddress;
    updateCustomerAddress: typeof Cart.updateCustomerAddress;
    setDiscount: typeof Cart.setDiscount;
    setProperties: typeof Cart.setProperties;
    removeProperties: typeof Cart.removeProperties;
    addLineItem: typeof Cart.addLineItem;
    updateLineItem: typeof Cart.updateLineItem;
    removeLineItem: typeof Cart.removeLineItem;
    setLineItemDiscount: typeof Cart.setLineItemDiscount;
    removeLineItemDiscount: typeof Cart.removeLineItemDiscount;
    setLineItemProperties: typeof Cart.setLineItemProperties;
};
export type CartActionCreatorsMap = typeof cartActionCreatorsMap;
/**
 * The interface props that are passed down to the Cart component
 * as a the result of calling the `withFeature` decorator
 * @public
 * */
export interface WithFeature {
    store: {};
    actions: CartActionCreatorsMap;
}
/**
 * An object containing the key, actions, initial state and reducer of the Loading feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
export declare const feature: Feature<WithFeature['store'], WithFeature['actions']>;
export {};
