'use strict';

var Actions = require('@shopify/app-bridge-core/actions');

var cartActionCreatorsMap = {
    fetch: Actions.Cart.fetch,
    update: Actions.Cart.update,
    setCustomer: Actions.Cart.setCustomer,
    addCustomerAddress: Actions.Cart.addCustomerAddress,
    updateCustomerAddress: Actions.Cart.updateCustomerAddress,
    setDiscount: Actions.Cart.setDiscount,
    setProperties: Actions.Cart.setProperties,
    removeProperties: Actions.Cart.removeProperties,
    addLineItem: Actions.Cart.addLineItem,
    updateLineItem: Actions.Cart.updateLineItem,
    removeLineItem: Actions.Cart.removeLineItem,
    setLineItemDiscount: Actions.Cart.setLineItemDiscount,
    removeLineItemDiscount: Actions.Cart.removeLineItemDiscount,
    setLineItemProperties: Actions.Cart.setLineItemProperties,
};
/**
 * An object containing the key, actions, initial state and reducer of the Loading feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
var feature = {
    actions: cartActionCreatorsMap,
    key: 'cart',
    initialState: {},
    reducer: function (state) { return state || {}; },
};

exports.feature = feature;
