import type { Feature } from '../../../../withFeature';
import { FeaturesActionCreatorsMap } from './actionCreators';
import featuresReducer, { asyncFeaturesReducer, defaultFeaturesStore, setFeaturesAvailable } from './reducer';
export default featuresReducer;
export * from './actionCreators';
export * from './types';
export { asyncFeaturesReducer, setFeaturesAvailable, defaultFeaturesStore };
export interface WithFeature {
    store: {};
    actions: FeaturesActionCreatorsMap;
}
/**
 * An object containing the key, actions, initial state and reducer of the Features feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
export declare const feature: Feature<WithFeature['store'], WithFeature['actions']>;
