'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var actionCreators = require('./actionCreators.js');
var store_reducers_embeddedApp_features_reducer = require('./reducer.js');

/**
 * An object containing the key, actions, initial state and reducer of the Features feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
var feature = {
    actions: actionCreators.featuresActionCreatorsMap,
    key: 'features',
    initialState: store_reducers_embeddedApp_features_reducer.defaultFeaturesStore,
    reducer: store_reducers_embeddedApp_features_reducer.asyncFeaturesReducer,
};

exports.featuresActionCreatorsMap = actionCreators.featuresActionCreatorsMap;
exports.asyncFeaturesReducer = store_reducers_embeddedApp_features_reducer.asyncFeaturesReducer;
exports.default = store_reducers_embeddedApp_features_reducer.default;
exports.defaultFeaturesStore = store_reducers_embeddedApp_features_reducer.defaultFeaturesStore;
exports.setFeaturesAvailable = store_reducers_embeddedApp_features_reducer.setFeaturesAvailable;
exports.feature = feature;
