import { AnyAction, ActionCreatorsMapObject } from 'redux';
import { Fullscreen } from '@shopify/app-bridge-core/actions';
import type { Feature } from '../../../../withFeature';
/**
 * The default value for the fullscreen store
 * @internal
 * @beta
 */
export declare const defaultFullscreenStore = false;
/**
 * Returns the updated fullscreen state
 * @internal
 * @beta
 */
export default function fullscreenReducer(state: boolean | undefined, action: Fullscreen.FullscreenAction | AnyAction): boolean;
/**
 * @internal
 * @beta
 */
export type FullscreenStore = boolean;
/**
 * @internal
 * @beta
 */
export interface FullscreenActionCreatorsMap extends ActionCreatorsMapObject {
    enter: typeof Fullscreen.enter;
    exit: typeof Fullscreen.exit;
}
/**
 * @internal
 * @beta
 */
export declare const fullscreenActionCreatorsMap: FullscreenActionCreatorsMap;
/**
 * The interface props that are passed down to the Fullscreen component
 * as a the result of calling the `withFeature` decorator
 * @public
 * @beta
 * */
export interface WithFeature {
    store: FullscreenStore;
    actions: FullscreenActionCreatorsMap;
}
/**
 * An object containing the key, actions, initial state and reducer of the Fullscreen feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * @beta
 * */
export declare const feature: Feature<WithFeature['store'], WithFeature['actions']>;
