import { AppBridgeActionCreatorsMap } from './appBridge';
import { FeaturesActionCreatorsMap } from './features';
import { ToastActionCreatorsMap } from './toast';
import { LoadingActionCreatorsMap } from './loading';
import { ModalActionCreatorsMap } from './modal';
import { TitleBarActionCreatorsMap } from './titleBar';
import { ResourcePickerActionCreatorsMap } from './resourcePicker';
import { NavigationActionCreatorsMap } from './navigation';
import { MenuActionCreatorsMap } from './menu';
import { StaffMemberActionCreatorsMap } from './staffMember';
import { ContextualSaveBarActionCreatorsMap } from './contextualSaveBar';
import { PickerActionCreatorsMap } from './picker';
/**
 * The interface for the actions available to the app
 * @public
 */
export interface Actions {
    features: FeaturesActionCreatorsMap;
    toast: ToastActionCreatorsMap;
    loading: LoadingActionCreatorsMap;
    modal: ModalActionCreatorsMap;
    titleBar: TitleBarActionCreatorsMap;
    resourcePicker: ResourcePickerActionCreatorsMap;
    navigation: NavigationActionCreatorsMap;
    menu: MenuActionCreatorsMap;
    staffMember: StaffMemberActionCreatorsMap;
    appBridge: AppBridgeActionCreatorsMap;
    contextualSaveBar: ContextualSaveBarActionCreatorsMap;
    /**
     * @unstable This API may be updated without warning in the future
     */
    unstablePicker: PickerActionCreatorsMap;
}
/**
 * The interface for the app's dispatch props
 * @public
 */
export interface DispatchProps {
    actions: Actions;
}
export { Store, defaultStore, getReducers } from './store';
