'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var SET_LEGACY = 'PRIVATE_APP::SET_LEGACY';
function setLegacy(payload) {
    return {
        payload: payload,
        type: SET_LEGACY,
    };
}
var defaultLegacyStore = false;
/**
 * @internal
 */
var legacyActionCreatorsMap = {
    setLegacy: setLegacy,
};
function legacyReducer(state, action) {
    if (state === void 0) { state = false; }
    if (action.type === SET_LEGACY) {
        return action.payload;
    }
    return state;
}
/**
 * An object containing the key, actions, initial state and reducer of the Legacy feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * @beta
 * */
var feature = {
    actions: legacyActionCreatorsMap,
    key: 'isLegacy',
    initialState: defaultLegacyStore,
    reducer: legacyReducer,
};

exports.SET_LEGACY = SET_LEGACY;
exports.default = legacyReducer;
exports.defaultLegacyStore = defaultLegacyStore;
exports.feature = feature;
exports.legacyActionCreatorsMap = legacyActionCreatorsMap;
exports.setLegacy = setLegacy;
