import type { Feature } from '../../../../withFeature';
import { LoadingActionCreatorsMap } from './actionCreators';
import reducer, { defaultLoadingStore } from './reducer';
import { LoadingStore } from './types';
export default reducer;
export * from './actionCreators';
export * from './types';
export { defaultLoadingStore };
/**
 * The interface props that are passed down to the Loading component
 * as a the result of calling the `withFeature` decorator
 * @public
 * */
export interface WithFeature {
    store: LoadingStore;
    actions: LoadingActionCreatorsMap;
}
/**
 * An object containing the key, actions, initial state and reducer of the Loading feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
export declare const feature: Feature<WithFeature['store'], WithFeature['actions']>;
