'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var utilities = require('../utilities.js');
var actionCreators = require('./actionCreators.js');
var store_reducers_embeddedApp_loading_reducer = require('./reducer.js');

/**
 * An object containing the key, actions, initial state and reducer of the Loading feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
var feature = {
    actions: actionCreators.loadingActionCreatorsMap,
    key: 'loading',
    initialState: store_reducers_embeddedApp_loading_reducer.defaultLoadingStore,
    reducer: utilities.resetStateReducer(store_reducers_embeddedApp_loading_reducer.default),
};

exports.loadingActionCreatorsMap = actionCreators.loadingActionCreatorsMap;
exports.reset = actionCreators.reset;
exports.start = actionCreators.start;
exports.stop = actionCreators.stop;
exports.default = store_reducers_embeddedApp_loading_reducer.default;
exports.defaultLoadingStore = store_reducers_embeddedApp_loading_reducer.defaultLoadingStore;
exports.feature = feature;
