import { LoadingStore } from './types';
import { Action } from './actions';
/**
 * The default loading state
 * @internal
 */
export declare const defaultLoadingStore: {
    isLoading: boolean;
    loadingCounter: number;
};
/**
 * Returns the updated loading state
 * @remarks the loading state is managed via counter which enables
 * multiple consumers to start/stop loading
 * @internal
 */
export default function loadingReducer(state: LoadingStore | undefined, action: Action): LoadingStore;
