import type { Feature } from '../../../../withFeature';
import reducer, { defaultModalStore } from './reducer';
import { WithFeature } from './types';
export default reducer;
export * from './actionCreators';
export * from './types';
export { defaultModalStore };
/**
 * An object containing the key, actions, initial state and reducer of the Modal feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
export declare const feature: Feature<WithFeature['store'], WithFeature['actions']>;
