'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var utilities = require('../utilities.js');
var actionCreators = require('./actionCreators.js');
var store_reducers_embeddedApp_modal_reducer = require('./reducer.js');

/**
 * An object containing the key, actions, initial state and reducer of the Modal feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
var feature = {
    actions: actionCreators.modalActionCreatorsMap,
    key: 'modal',
    initialState: store_reducers_embeddedApp_modal_reducer.defaultModalStore,
    reducer: utilities.resetStateReducer(store_reducers_embeddedApp_modal_reducer.default),
};

exports.modalActionCreatorsMap = actionCreators.modalActionCreatorsMap;
exports.setHeight = actionCreators.setHeight;
exports.default = store_reducers_embeddedApp_modal_reducer.default;
exports.defaultModalStore = store_reducers_embeddedApp_modal_reducer.defaultModalStore;
exports.feature = feature;
