'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tslib = require('tslib');
var Actions = require('@shopify/app-bridge-core/actions');
var picker = require('@shopify/app-bridge-core/validate/actions/picker');

var defaultPickerStore = null;
function pickerReducer(state, action) {
    if (state === void 0) { state = defaultPickerStore; }
    var castAction = action;
    if (picker.validateAction(castAction)) {
        return state;
    }
    switch (action.type) {
        case Actions.unstable_Picker.Action.OPEN:
        case Actions.unstable_Picker.Action.UPDATE: {
            var open_1 = action.type === Actions.unstable_Picker.Action.OPEN ? true : (state && state.open) || false;
            var _a = castAction.payload, id = _a.id, selectedItems = _a.selectedItems, maxSelectable = _a.maxSelectable, items = _a.items, title = _a.title, loading = _a.loading, searchQueryPlaceholder = _a.searchQueryPlaceholder, searchQuery = _a.searchQuery, primaryActionLabel = _a.primaryActionLabel, secondaryActionLabel = _a.secondaryActionLabel, emptySearchLabel = _a.emptySearchLabel, canLoadMore = _a.canLoadMore, loadingMore = _a.loadingMore, verticalAlignment = _a.verticalAlignment, allowEmptySelection = _a.allowEmptySelection, resourceName = _a.resourceName;
            return {
                id: id,
                items: items,
                selectedItems: selectedItems,
                maxSelectable: maxSelectable,
                open: open_1,
                title: title,
                loading: loading,
                searchQueryPlaceholder: searchQueryPlaceholder,
                searchQuery: searchQuery,
                primaryActionLabel: primaryActionLabel,
                secondaryActionLabel: secondaryActionLabel,
                emptySearchLabel: emptySearchLabel,
                canLoadMore: canLoadMore,
                loadingMore: loadingMore,
                verticalAlignment: verticalAlignment,
                allowEmptySelection: allowEmptySelection,
                resourceName: resourceName,
            };
        }
        case Actions.unstable_Picker.Action.SELECT: {
            var selectedItems = castAction.payload.selectedItems;
            return tslib.__assign(tslib.__assign({}, state), { selectedItems: selectedItems, open: false });
        }
        case Actions.unstable_Picker.Action.CANCEL: {
            return tslib.__assign(tslib.__assign({}, state), { open: false });
        }
        case Actions.unstable_Picker.Action.SEARCH: {
            var searchQuery = castAction.payload.searchQuery;
            return tslib.__assign(tslib.__assign({}, state), { loading: true, searchQuery: searchQuery });
        }
        case Actions.unstable_Picker.Action.LOAD_MORE: {
            return tslib.__assign({}, state);
        }
        default:
            return state;
    }
}

exports.default = pickerReducer;
exports.defaultPickerStore = defaultPickerStore;
