import type { Feature } from '../../../../withFeature';
import reducer, { defaultPOSStore } from './reducer';
import { POSStore } from './types';
import * as actions from './actions';
export * from './types';
export default reducer;
export { defaultPOSStore };
/**
 * The interface props that are passed down to the POS component
 * as a the result of calling the `withFeature` decorator
 * @public
 * */
export interface WithFeature {
    store: POSStore;
    actions: typeof actions;
}
/**
 * An object containing the key, actions, initial state and reducer of the POS feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
export declare const feature: Feature<WithFeature['store'], WithFeature['actions']>;
