'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var store_reducers_embeddedApp_pos_reducer = require('./reducer.js');
var actions = require('./actions.js');

/**
 * An object containing the key, actions, initial state and reducer of the POS feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
var feature = {
    actions: actions,
    key: 'pos',
    initialState: store_reducers_embeddedApp_pos_reducer.defaultPOSStore,
    reducer: store_reducers_embeddedApp_pos_reducer.default,
};

exports.default = store_reducers_embeddedApp_pos_reducer.default;
exports.defaultPOSStore = store_reducers_embeddedApp_pos_reducer.defaultPOSStore;
exports.feature = feature;
