'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var tslib = require('tslib');
var Actions = require('@shopify/app-bridge-core/actions');

var defaultPOSStore = {};
function posReducer(state, action) {
    if (state === void 0) { state = defaultPOSStore; }
    switch (action.type) {
        case Actions.Pos.Action.LOCATION_UPDATE:
            return tslib.__assign(tslib.__assign({}, state), { location: action.payload });
        case Actions.Pos.Action.USER_UPDATE:
            return tslib.__assign(tslib.__assign({}, state), { user: action.payload });
        case Actions.Pos.Action.DEVICE_UPDATE:
            return tslib.__assign(tslib.__assign({}, state), { device: action.payload });
    }
    return state;
}

exports.default = posReducer;
exports.defaultPOSStore = defaultPOSStore;
