import { Print } from '@shopify/app-bridge-core/actions';
import { Feature } from '../../../../withFeature';
declare const printActionCreatorsMap: {
    app: typeof Print.app;
};
export type PrintActionCreatorsMap = typeof printActionCreatorsMap;
/**
 * The interface props that are passed down to the Print component
 * as a the result of calling the `withFeature` decorator
 * @public
 * */
export interface WithFeature {
    store: {};
    actions: PrintActionCreatorsMap;
}
/**
 * An object containing the key, actions, initial state and reducer of the Loading feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
export declare const feature: Feature<WithFeature['store'], WithFeature['actions']>;
export {};
