'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var utilities = require('../utilities.js');
var actionCreators = require('./actionCreators.js');
var store_reducers_embeddedApp_resourcePicker_reducer = require('./reducer.js');

/**
 * An object containing the key, actions, initial state and reducer of the ResourcePicker feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
var feature = {
    actions: actionCreators.resourcePickerActionCreatorsMap,
    key: 'resourcePicker',
    initialState: store_reducers_embeddedApp_resourcePicker_reducer.defaultResourcePickerStore,
    reducer: utilities.resetStateReducer(store_reducers_embeddedApp_resourcePicker_reducer.default),
};

exports.resourcePickerActionCreatorsMap = actionCreators.resourcePickerActionCreatorsMap;
exports.default = store_reducers_embeddedApp_resourcePicker_reducer.default;
exports.defaultResourcePickerStore = store_reducers_embeddedApp_resourcePicker_reducer.defaultResourcePickerStore;
exports.feature = feature;
