import { Scanner } from '@shopify/app-bridge-core/actions';
import { Feature } from '../../../../withFeature';
declare const scannerActionCreatorsMap: {
    openCamera: typeof Scanner.openCamera;
    capture: typeof Scanner.capture;
};
export type ScannerActionCreatorsMap = typeof scannerActionCreatorsMap;
/**
 * The interface props that are passed down to the Scanner component
 * as a the result of calling the `withFeature` decorator
 * @public
 * */
export interface WithFeature {
    store: {};
    actions: ScannerActionCreatorsMap;
}
/**
 * An object containing the key, actions, initial state and reducer of the Scanner feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
export declare const feature: Feature<WithFeature['store'], WithFeature['actions']>;
export {};
