import { Share } from '@shopify/app-bridge-core/actions';
import { Feature } from '../../../../withFeature';
declare const shareActionCreatorsMap: {
    show: typeof Share.show;
    close: typeof Share.close;
};
export type ShareActionCreatorsMap = typeof shareActionCreatorsMap;
/**
 * The interface props that are passed down to the Share component
 * as a the result of calling the `withFeature` decorator
 * @public
 * */
export interface WithFeature {
    store: {};
    actions: ShareActionCreatorsMap;
}
/**
 * An object containing the key, actions, initial state and reducer of the Loading feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
export declare const feature: Feature<WithFeature['store'], WithFeature['actions']>;
export {};
