import type { Feature } from '../../../../withFeature';
import { StaffMemberActionCreatorsMap } from './actionCreators';
import reducer, { defaultStaffMemberStore } from './reducer';
import { StaffMemberStore } from './types';
export default reducer;
export * from './actions';
export * from './actionCreators';
export * from './types';
export { defaultStaffMemberStore };
/**
 * The interface props that are passed down to the StaffMember component
 * as a the result of calling the `withFeature` decorator
 * @public
 * */
export interface WithFeature {
    store: StaffMemberStore;
    actions: StaffMemberActionCreatorsMap;
}
/**
 * An object containing the key, actions, initial state and reducer of the StaffMember feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
export declare const feature: Feature<WithFeature['store'], WithFeature['actions']>;
