'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var actionCreators = require('./actionCreators.js');
var store_reducers_embeddedApp_staffMember_reducer = require('./reducer.js');
var actions = require('./actions.js');

/**
 * An object containing the key, actions, initial state and reducer of the StaffMember feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
var feature = {
    actions: actionCreators.staffMemberActionCreatorsMap,
    key: 'staffMember',
    initialState: store_reducers_embeddedApp_staffMember_reducer.defaultStaffMemberStore,
    reducer: store_reducers_embeddedApp_staffMember_reducer.default,
};

exports.set = actionCreators.set;
exports.staffMemberActionCreatorsMap = actionCreators.staffMemberActionCreatorsMap;
exports.default = store_reducers_embeddedApp_staffMember_reducer.default;
exports.defaultStaffMemberStore = store_reducers_embeddedApp_staffMember_reducer.defaultStaffMemberStore;
exports.SET = actions.SET;
exports.isSetAction = actions.isSetAction;
exports.feature = feature;
