import { FeaturesState } from './features';
import { ToastStore } from './toast';
import { LoadingStore } from './loading';
import { ModalStore } from './modal';
import { TitleBarStore } from './titleBar';
import { ResourcePickerStore } from './resourcePicker';
import { NavigationStore } from './navigation';
import { MenuStore } from './menu';
import { POSStore } from './pos';
import { StaffMemberStore } from './staffMember';
import { ContextualSaveBarStore } from './contextualSaveBar';
import { PickerStore } from './picker';
/**
 * The interface for the app state
 * @public
 */
export interface Store {
    features: FeaturesState;
    toast: ToastStore;
    loading: LoadingStore;
    modal: ModalStore;
    titleBar: TitleBarStore | null;
    pos: POSStore;
    resourcePicker: ResourcePickerStore | null;
    navigation: NavigationStore;
    menu: MenuStore;
    staffMember: StaffMemberStore;
    isLegacy: boolean;
    isFullscreen: boolean;
    contextualSaveBar: ContextualSaveBarStore;
    unstablePicker: PickerStore | null;
}
/**
 * The interface for the app's default state
 * @internal
 */
export declare const defaultStore: Store;
/**
 * The combined Redux reducers
 * @internal
 */
export declare function getReducers(): import("redux").Reducer<import("redux").CombinedState<Store>, import("redux").AnyAction>;
