'use strict';

var tslib = require('tslib');
var redux = require('redux');
require('@shopify/app-bridge-core/actions');
var store_reducers_embeddedApp_features_reducer = require('./features/reducer.js');
require('@shopify/app-bridge-core/actions/Toast');
require('@remote-ui/core');
var utilities = require('./utilities.js');
var store_reducers_embeddedApp_toast_reducer = require('./toast/reducer.js');
var store_reducers_embeddedApp_loading_reducer = require('./loading/reducer.js');
require('./modal/actionCreators.js');
var store_reducers_embeddedApp_modal_reducer = require('./modal/reducer.js');
require('@shopify/app-bridge-core/actions/TitleBar');
require('@shopify/app-bridge-core/actions/ButtonGroup');
require('@shopify/app-bridge-core/actions/helper');
require('@shopify/app-bridge-core/actions/uuid');
var store_reducers_embeddedApp_titleBar_reducer = require('./titleBar/reducer.js');
require('@shopify/app-bridge-core/actions/Navigation/Redirect');
require('./resourcePicker/actionCreators.js');
var store_reducers_embeddedApp_resourcePicker_reducer = require('./resourcePicker/reducer.js');
require('./navigation/actionCreators.js');
var store_reducers_embeddedApp_navigation_reducer = require('./navigation/reducer.js');
var store_reducers_embeddedApp_menu_index = require('./menu/index.js');
var store_reducers_embeddedApp_pos_reducer = require('./pos/reducer.js');
var store_reducers_embeddedApp_staffMember_reducer = require('./staffMember/reducer.js');
var store_reducers_embeddedApp_legacy_index = require('./legacy/index.js');
var store_reducers_embeddedApp_fullscreen_index = require('./fullscreen/index.js');
var store_reducers_embeddedApp_contextualSaveBar_index = require('./contextualSaveBar/index.js');
require('@shopify/app-bridge-core/actions/Picker');
require('./picker/actionCreators.js');
var store_reducers_embeddedApp_picker_reducer = require('./picker/reducer.js');

/**
 * The interface for the app's default state
 * @internal
 */
var defaultStore = {
    contextualSaveBar: store_reducers_embeddedApp_contextualSaveBar_index.defaultContextualSaveBarStore,
    features: store_reducers_embeddedApp_features_reducer.defaultFeaturesStore,
    toast: store_reducers_embeddedApp_toast_reducer.defaultToastStore,
    loading: store_reducers_embeddedApp_loading_reducer.defaultLoadingStore,
    modal: store_reducers_embeddedApp_modal_reducer.defaultModalStore,
    titleBar: store_reducers_embeddedApp_titleBar_reducer.defaultTitlebarStore,
    pos: store_reducers_embeddedApp_pos_reducer.defaultPOSStore,
    resourcePicker: store_reducers_embeddedApp_resourcePicker_reducer.defaultResourcePickerStore,
    menu: store_reducers_embeddedApp_menu_index.defaultMenuStore,
    navigation: store_reducers_embeddedApp_navigation_reducer.defaultNavigationStore,
    staffMember: store_reducers_embeddedApp_staffMember_reducer.defaultStaffMemberStore,
    isLegacy: store_reducers_embeddedApp_legacy_index.defaultLegacyStore,
    isFullscreen: store_reducers_embeddedApp_fullscreen_index.defaultFullscreenStore,
    unstablePicker: store_reducers_embeddedApp_picker_reducer.defaultPickerStore,
};
var appStateReducers = utilities.wrapReducers({
    contextualSaveBar: store_reducers_embeddedApp_contextualSaveBar_index.default,
    toast: store_reducers_embeddedApp_toast_reducer.default,
    loading: store_reducers_embeddedApp_loading_reducer.default,
    modal: store_reducers_embeddedApp_modal_reducer.default,
    titleBar: store_reducers_embeddedApp_titleBar_reducer.default,
    resourcePicker: store_reducers_embeddedApp_resourcePicker_reducer.default,
    menu: store_reducers_embeddedApp_menu_index.default,
    navigation: store_reducers_embeddedApp_navigation_reducer.default,
    isFullscreen: store_reducers_embeddedApp_fullscreen_index.default,
    unstablePicker: store_reducers_embeddedApp_picker_reducer.default,
}, utilities.resetStateReducer);
/**
 * The combined Redux reducers
 * @internal
 */
function getReducers() {
    return redux.combineReducers(utilities.wrapReducers(tslib.__assign({ features: store_reducers_embeddedApp_features_reducer.default, pos: store_reducers_embeddedApp_pos_reducer.default, staffMember: store_reducers_embeddedApp_staffMember_reducer.default, isLegacy: store_reducers_embeddedApp_legacy_index.default }, appStateReducers), utilities.resetAppReducer));
}

exports.defaultStore = defaultStore;
exports.getReducers = getReducers;
