import { ActionCreatorsMapObject } from 'redux';
import * as TitleBar from '@shopify/app-bridge-core/actions/TitleBar';
import { setPagination, setAppInfo } from './actions';
/**
 * The interface for the mapped Title Bar actions dispatcher
 * @internal
 * */
export interface TitleBarActionCreatorsMap extends ActionCreatorsMapObject {
    clickActionButton: typeof TitleBar.clickActionButton;
    clickBreadcrumb: typeof TitleBar.clickBreadcrumb;
    setPagination: typeof setPagination;
    setAppInfo: typeof setAppInfo;
    update: typeof TitleBar.update;
}
/**
 * Returns a mapped object with methods for dispatching Title Bar actions
 * @internal
 * */
export declare const titleBarActionCreatorsMap: TitleBarActionCreatorsMap;
