import { Button as AppBridgeButton, TitleBar as AppBridgeTitleBar } from '@shopify/app-bridge-core/actions';
/**
 * @remarks
 * Legacy payload
 */
export interface PaginationButtonPayload {
    href?: string;
    loading?: boolean;
    message: string;
}
/**
 * @remarks
 * Legacy payload
 */
export interface PaginationPayload {
    previous?: PaginationButtonPayload | null;
    next?: PaginationButtonPayload | null;
}
export interface TitleBarStore {
    title?: string;
    buttons?: AppBridgeTitleBar.ButtonsPayload;
    breadcrumbs?: AppBridgeButton.Payload;
    pagination?: PaginationPayload;
    appInfo?: AppInfo;
}
export interface AppNavigationItem {
    label: string;
    url: string;
}
export interface AppInfo {
    name: string;
    developerName?: string | null;
    icon: string;
    navigationItems?: AppNavigationItem[];
    appId: string;
}
