import { ActionCreatorsMapObject } from 'redux';
import * as Toast from '@shopify/app-bridge-core/actions/Toast';
import type { ClearAction } from '@shopify/app-bridge-core/actions/Toast';
import { LegacyFlashClear } from './types';
type LegacyClearAction = Pick<ClearAction, Exclude<keyof ClearAction, 'type'>> & {
    type: typeof LegacyFlashClear;
};
declare function legacyClear(payload: Toast.ClearPayload): LegacyClearAction;
export interface ToastActionCreatorsMap extends ActionCreatorsMapObject {
    show: typeof Toast.show;
    clear: typeof Toast.clear;
    legacyClear: typeof legacyClear;
    action: typeof Toast.primaryAction;
}
export declare const toastActionCreatorsMap: ToastActionCreatorsMap;
export {};
