import type { ToastApi } from '@shopify/app-bridge-core/actions/Toast';
import type { FeatureWithApi } from '../../../../withFeature';
import { ToastActionCreatorsMap } from './actionCreators';
import reducer, { defaultToastStore } from './reducer';
import { ToastStore } from './types';
export default reducer;
export * from './actionCreators';
export * from './types';
export { defaultToastStore };
/**
 * The interface props that are passed down to the Toast component
 * as a the result of calling the `withFeature` decorator
 * @public
 * */
export interface WithFeature {
    store: ToastStore;
    actions: ToastActionCreatorsMap;
    api: ToastApi;
}
export type ToastFeature = FeatureWithApi<WithFeature['store'], WithFeature['actions'], WithFeature['api']>;
/**
 * An object containing the key, actions, initial state and reducer of the Loading feature
 * Can be used with the `withFeature` decorator to add the reducer
 * and then make its actions and store available to the wrapped component
 * @public
 * */
export declare const feature: ToastFeature;
