import { AnyAction } from 'redux';
import { FeedbackModal as FeedbackModalActions } from '@shopify/app-bridge-core/actions';
import type { Feature } from '../../withFeature';
export type Store = {
    readonly id?: string;
    formId: number;
} | null;
export interface WithFeature {
    actions: {
        open: typeof FeedbackModalActions.open;
        close: typeof FeedbackModalActions.close;
    };
    store: Store;
}
export declare function reducer(state: Store | undefined, action: FeedbackModalActions.OpenAction | FeedbackModalActions.CloseAction | AnyAction): {
    readonly id?: string | undefined;
    formId: number;
} | {
    id: any;
    formId: any;
} | null;
export declare const feature: Feature<WithFeature['store'], WithFeature['actions']>;
