'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var redux = require('redux');
var store_reducers_embeddedApp_appBridge_reducer = require('./embeddedApp/appBridge/reducer.js');
var actions = require('./embeddedApp/appBridge/actions.js');
var actionCreators$8 = require('./embeddedApp/appBridge/actionCreators.js');
var actionCreators = require('./embeddedApp/features/actionCreators.js');
require('./embeddedApp/features/reducer.js');
require('@shopify/app-bridge-core/actions');
var actionCreators$1 = require('./embeddedApp/loading/actionCreators.js');
var actionCreators$2 = require('./embeddedApp/modal/actionCreators.js');
require('tslib');
require('@shopify/app-bridge-core/validate/actions/modal');
require('@shopify/app-bridge-core/validate/type-validate');
require('@shopify/app-bridge-core/actions/Navigation/Redirect');
var actionCreators$3 = require('./embeddedApp/navigation/actionCreators.js');
require('@shopify/app-bridge-core/validate/actions/navigation');
var store_reducers_embeddedApp_menu_index = require('./embeddedApp/menu/index.js');
var actionCreators$6 = require('./embeddedApp/resourcePicker/actionCreators.js');
require('@shopify/app-bridge-core/validate/actions/resourcePicker');
var actionCreators$7 = require('./embeddedApp/staffMember/actionCreators.js');
require('@shopify/app-bridge-core/actions/TitleBar');
require('@shopify/app-bridge-core/actions/ButtonGroup');
require('@shopify/app-bridge-core/actions/helper');
require('@shopify/app-bridge-core/actions/uuid');
var actionCreators$4 = require('./embeddedApp/titleBar/actionCreators.js');
require('@shopify/app-bridge-core/validate/actions/titleBar');
require('@remote-ui/core');
require('@shopify/app-bridge-core/actions/Toast');
var actionCreators$5 = require('./embeddedApp/toast/actionCreators.js');
require('@shopify/app-bridge-core/validate/actions/toast');
var store_reducers_embeddedApp_contextualSaveBar_index = require('./embeddedApp/contextualSaveBar/index.js');
require('@shopify/app-bridge-core/actions/Picker');
var actionCreators$9 = require('./embeddedApp/picker/actionCreators.js');
require('@shopify/app-bridge-core/validate/actions/picker');

function mapAppStoreToProps(state) {
    return state;
}
function mapAppDispatchToProps(app) {
    var appDispatch = app.dispatch;
    return {
        actions: {
            features: redux.bindActionCreators(actionCreators.featuresActionCreatorsMap, appDispatch),
            loading: redux.bindActionCreators(actionCreators$1.loadingActionCreatorsMap, appDispatch),
            modal: redux.bindActionCreators(actionCreators$2.modalActionCreatorsMap, appDispatch),
            navigation: redux.bindActionCreators(actionCreators$3.navigationActionCreatorsMap, appDispatch),
            menu: redux.bindActionCreators(store_reducers_embeddedApp_menu_index.menuActionCreatorsMap, appDispatch),
            titleBar: redux.bindActionCreators(actionCreators$4.titleBarActionCreatorsMap, appDispatch),
            toast: redux.bindActionCreators(actionCreators$5.toastActionCreatorsMap, appDispatch),
            resourcePicker: redux.bindActionCreators(actionCreators$6.resourcePickerActionCreatorsMap, appDispatch),
            staffMember: redux.bindActionCreators(actionCreators$7.staffMemberActionCreatorsMap, appDispatch),
            appBridge: redux.bindActionCreators(actionCreators$8.appBridgeActionCreatorsMap, appDispatch),
            contextualSaveBar: redux.bindActionCreators(store_reducers_embeddedApp_contextualSaveBar_index.contextualSaveBarActionCreatorsMap, appDispatch),
            unstablePicker: redux.bindActionCreators(actionCreators$9.pickerActionCreatorsMap, appDispatch),
        },
    };
}

exports.default = store_reducers_embeddedApp_appBridge_reducer.default;
exports.StoreReadyAction = actions.StoreReadyAction;
exports.mapAppDispatchToProps = mapAppDispatchToProps;
exports.mapAppStoreToProps = mapAppStoreToProps;
