import { AnyAction } from 'redux';
import { LeaveConfirmation as LeaveConfirmationActions } from '@shopify/app-bridge-core/actions';
import type { Feature } from '../../withFeature';
export type Store = {
    readonly id?: string;
} | null;
export interface WithFeature {
    actions: {
        enable: typeof LeaveConfirmationActions.enable;
        disable: typeof LeaveConfirmationActions.disable;
        confirm: typeof LeaveConfirmationActions.confirm;
    };
    store: Store;
}
export declare function reducer(state: Store | undefined, action: LeaveConfirmationActions.EnableAction | LeaveConfirmationActions.DisableAction | LeaveConfirmationActions.ConfirmAction | AnyAction): {
    readonly id?: string | undefined;
} | {
    id: any;
} | null;
export declare const feature: Feature<WithFeature['store'], WithFeature['actions']>;
